/*****************************************************************************
;  :Module.		WHDLoadGCI.h
;  :Author.		Bert Jahn
;  :EMail.		jah@fh-zwickau.de
;  :Address.	Franz-Liszt-Strae 16, Rudolstadt, 07404, Germany
;  :Version.	$Id: WHDloadGCI.h 0.1 1998/08/06 23:13:42 jah Exp $
;  :History.	18.07.98 started
;  :Copyright.	All Rights Reserved
;  :Language.	C
;  :Tabsize.	4
;  :Translator.	SAS 6.58
****************************************************************************/

#include <libraries/mui.h>
#include <mui/BetterString_mcc.h>

/****************************************************************************/

enum {
	MEN_PROJECT=1,MEN_ABOUT,MEN_ABOUTMUI,MEN_QUIT,
	MAIN_MORECPU,MAIN_MORECUST,MAIN_MOREMEM
};

#define StringHex2\
	BetterStringObject,\
	StringFrame,\
	MUIA_String_Accept , StringHexAccept,\
	MUIA_String_MaxLen , 4,\
	MUIA_String_Format , MUIV_String_Format_Right,\
End
#define StringHex4\
	BetterStringObject,\
	StringFrame,\
	MUIA_String_Accept , StringHexAccept,\
	MUIA_String_MaxLen , 6,\
	MUIA_String_Format , MUIV_String_Format_Right,\
End
#define StringHex8\
	BetterStringObject,\
	StringFrame,\
	MUIA_String_Accept , StringHexAccept,\
	MUIA_String_MaxLen , 10,\
	MUIA_String_Format , MUIV_String_Format_Right,\
End
#define StringHex16\
	BetterStringObject,\
	StringFrame,\
	MUIA_String_Accept , StringHexAccept,\
	MUIA_String_MaxLen , 18,\
	MUIA_String_Format , MUIV_String_Format_Right,\
End

#ifndef MAKE_ID
#define MAKE_ID(a,b,c,d) ((ULONG) (a)<<24 | (ULONG) (b)<<16 | (ULONG) (c)<<8 | (ULONG) (d))
#endif

/****************************************************************************/

void	sethex4		(APTR gad, UWORD val);
void	sethex8		(APTR gad, ULONG val);
void	sethex1t	(APTR gad, UBYTE val);
void	sethex4t	(APTR gad, UWORD val);
void	sethex8t	(APTR gad, ULONG val);
void	sethex16t	(APTR gad, ULONG val1, ULONG val2);

/****************************************************************************/

